package com.supServer.project.entity.dto;

import java.util.List;

public class CompanyAuthenticationDto {
    private String companyName;
    private String phone;
    private String userName;
    private String sex;
    private String email;
    private String creditCode;
    private String provinceCode;
    private String legalPerson;
    private Double registeredCapital;
    private String registeredDate;
    private String registeredAddress;
    private String addressDetail;
    private String licenseUrl;
    private String cardUrl;
    private String catId;
    private List<String> typeName;

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public Double getRegisteredCapital() {
        return registeredCapital;
    }

    public void setRegisteredCapital(Double registeredCapital) {
        this.registeredCapital = registeredCapital;
    }

    public String getRegisteredDate() {
        return registeredDate;
    }

    public void setRegisteredDate(String registeredDate) {
        this.registeredDate = registeredDate;
    }

    public String getRegisteredAddress() {
        return registeredAddress;
    }

    public void setRegisteredAddress(String registeredAddress) {
        this.registeredAddress = registeredAddress;
    }

    public String getAddressDetail() {
        return addressDetail;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public String getLicenseUrl() {
        return licenseUrl;
    }

    public void setLicenseUrl(String licenseUrl) {
        this.licenseUrl = licenseUrl;
    }

    public String getCardUrl() {
        return cardUrl;
    }

    public void setCardUrl(String cardUrl) {
        this.cardUrl = cardUrl;
    }

    public String getCatId() {
        return catId;
    }

    public void setCatId(String catId) {
        this.catId = catId;
    }

    public List<String> getTypeName() {
        return typeName;
    }

    public void setTypeName(List<String> typeName) {
        this.typeName = typeName;
    }

    @Override
    public String toString() {
        return "CompanyAuthenticationDto{" +
                "companyName='" + companyName + '\'' +
                ", phone='" + phone + '\'' +
                ", userName='" + userName + '\'' +
                ", sex='" + sex + '\'' +
                ", email='" + email + '\'' +
                ", creditCode='" + creditCode + '\'' +
                ", provinceCode='" + provinceCode + '\'' +
                ", legalPerson='" + legalPerson + '\'' +
                ", registeredCapital=" + registeredCapital +
                ", registeredDate='" + registeredDate + '\'' +
                ", registeredAddress='" + registeredAddress + '\'' +
                ", addressDetail='" + addressDetail + '\'' +
                ", licenseUrl='" + licenseUrl + '\'' +
                ", cardUrl='" + cardUrl + '\'' +
                ", catId='" + catId + '\'' +
                ", typeName=" + typeName +
                '}';
    }
}
